<template>
  <div class="auth">
    <div class="auth__container container">
      <div class="auth__content">
        <AppCard class="auth__card">
          <div class="auth__header auth-header">
            <h2>{{ getTitle }}</h2>
            <span>{{ getSubtitle }}</span>
          </div>
          <div class="auth__form">
            <NuxtPage />
          </div>
        </AppCard>
      </div>
    </div>
  </div>
</template>

<script lang="ts" setup>
const route = useRoute()

const getTitle = computed(() =>
  route.name === 'auth-login' ? 'Авторизация аккаунта' : 'Регистрация аккаунта'
)

const getSubtitle = computed(() =>
  route.name === 'auth-login'
    ? 'Добро пожаловать. Выберете удобный метод авторизации'
    : 'Добро пожаловать. Зарегистрируйте аккаунт'
)

if ((route.name as any) === 'auth')
  throw createError({
    statusCode: 404,
    statusMessage: `Page not found: ${route.path}`
  })
</script>

<style lang="scss" scoped>
.auth {
  &__content {
    height: 100vh;
  }

  &__card {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    max-width: rem(600);
    margin: 0 auto;
  }

  &__header {
    text-align: center;
  }
}
</style>
